<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:orientation="vertical"
    tools:context=".views.InsuranceEntryActivity">

    <androidx.appcompat.widget.Toolbar
        android:layout_width="match_parent"
        android:layout_height="@dimen/dimen_50dp"
        android:background="@drawable/drawable_maintxtbg">

        <RelativeLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:gravity="left"

            android:orientation="horizontal">

            <ImageView
                android:id="@+id/imgback"
                android:layout_width="@dimen/dimen_50dp"
                android:layout_height="@dimen/dimen_50dp"
                android:layout_alignParentLeft="true"
                android:layout_gravity="right"
                android:padding="@dimen/dimen_10dp"
                android:visibility="visible"
                app:srcCompat="@drawable/ic_arrow_back_" />


            <TextView

                android:id="@+id/txtHead"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_alignParentLeft="true"
                android:layout_centerVertical="true"
                android:layout_gravity="center_vertical"
                android:layout_marginLeft="@dimen/dimen_50dp"
                android:gravity="center"

                android:text="Insurance entry"
                android:textColor="@android:color/white"
                android:textSize="@dimen/dimen_15sp"


                />







        </RelativeLayout>


    </androidx.appcompat.widget.Toolbar>



    <ScrollView
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_weight="0.2">





        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_margin="@dimen/dimen_10dp"
            android:gravity="center"
            android:orientation="vertical">



            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="horizontal">



            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_margin="@dimen/dimen_10dp"
                android:layout_weight="0.2"
                android:background="@drawable/drawable_squarebg">

            <Spinner
                android:id="@+id/splicnumber"
                android:layout_width="match_parent"
                android:layout_height="@dimen/dimen_50dp"


                android:hint="Insurance number"
                android:paddingLeft="@dimen/dimen_10dp"
                android:inputType="text"
                />


            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:layout_gravity="center"
                android:gravity="center"
                android:layout_weight="0.8">

                <com.google.android.material.floatingactionbutton.FloatingActionButton
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:id="@+id/fabadd"
                    app:fabCustomSize="@dimen/dime_40dp"
                    app:srcCompat="@drawable/ic_add_"/>


            </LinearLayout>



            </LinearLayout>




            <EditText
                android:id="@+id/edtAmount"
                android:layout_width="match_parent"
                android:layout_height="@dimen/dimen_50dp"

                android:layout_margin="@dimen/dimen_10dp"
                android:hint="Premium amount"
                android:paddingLeft="@dimen/dimen_10dp"
                android:gravity="right|center_vertical"
                android:padding="@dimen/dimen_10dp"

                android:textSize="@dimen/dimen_15sp"
                android:inputType="numberDecimal"
                android:background="@drawable/drawable_squarebg"/>


            <EditText
                android:id="@+id/edtpremiumAmount"
                android:layout_width="match_parent"
                android:layout_height="@dimen/dimen_50dp"

                android:layout_margin="@dimen/dimen_10dp"
                android:hint="Premium amount"
                android:paddingLeft="@dimen/dimen_10dp"
                android:gravity="right|center_vertical"
                android:padding="@dimen/dimen_10dp"

                android:textSize="@dimen/dimen_15sp"
                android:inputType="numberDecimal"
                android:background="@drawable/drawable_squarebg"/>




            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="@dimen/dimen_50dp"
                android:layout_margin="@dimen/dimen_10dp"
                android:background="@drawable/drawable_squarebg">
                <Spinner
                    android:id="@+id/spinnerinsurancetype"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:entries="@array/insurancetype"
                    android:padding="@dimen/dimen_10dp"/>

            </LinearLayout>


            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_margin="@dimen/dimen_10dp"
                android:layout_weight="0.5"
                android:orientation="horizontal"
                android:background="@drawable/drawable_squarebg">

                <TextView
                    android:id="@+id/txtdop"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:padding="@dimen/dimen_15dp"
                    android:textSize="@dimen/dimen_15sp"

                    android:layout_weight="0.3"
                    android:maxLines="1"
                    android:ellipsize="end"
                    android:text="Date of payment"/>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:gravity="center"
                    android:layout_weight="0.7">

                    <ImageView
                        android:id="@+id/imgdop"
                        android:layout_width="@dimen/dimen_30dp"
                        android:layout_height="@dimen/dimen_30dp"
                        android:layout_centerVertical="true"

                        android:layout_marginRight="@dimen/dimen_30dp"
                        android:layout_alignParentRight="true"
                        app:srcCompat="@drawable/ic_date_range_"/>

                </LinearLayout>
            </LinearLayout>





            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_margin="@dimen/dimen_10dp"
                android:layout_weight="0.5"
                android:orientation="horizontal"
                android:background="@drawable/drawable_squarebg">

                <TextView
                    android:id="@+id/txtclosedate"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:padding="@dimen/dimen_15dp"
                    android:layout_weight="0.3"
                    android:maxLines="1"
                    android:textSize="@dimen/dimen_15sp"

                    android:ellipsize="end"
                    android:text="Closing date"/>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:gravity="center"
                    android:layout_weight="0.7">

                    <ImageView
                        android:id="@+id/imgCloseDate"
                        android:layout_width="@dimen/dimen_30dp"
                        android:layout_height="@dimen/dimen_30dp"
                        android:layout_centerVertical="true"

                        android:layout_marginRight="@dimen/dimen_30dp"
                        android:layout_alignParentRight="true"
                        app:srcCompat="@drawable/ic_date_range_"/>

                </LinearLayout>
            </LinearLayout>

            <EditText
                android:id="@+id/edtremarks"
                android:layout_width="match_parent"
                android:layout_height="@dimen/dimen_120dp"

                android:textSize="@dimen/dimen_15sp"

                android:layout_margin="@dimen/dimen_10dp"
                android:hint="Remarks"
                android:paddingLeft="@dimen/dimen_10dp"
                android:inputType="textCapWords|textMultiLine"
                android:background="@drawable/drawable_squarebg"/>



        </LinearLayout>


    </ScrollView>

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:gravity="center"
        android:layout_weight="0.8">

        <Button
            android:id="@+id/btnSave"
            android:layout_width="@dimen/dimen_120dp"
            android:layout_height="@dimen/dimen_50dp"
            android:layout_margin="@dimen/dimen_15dp"
            android:background="@drawable/drawable_btnbg"
            android:text="Save"
            android:elevation="10dp"
            android:translationZ="10dp"
            android:stateListAnimator="@null"

            android:layout_gravity="top"
            android:textAllCaps="false"
            android:textColor="@color/white"
            android:textSize="@dimen/dimen_15sp"
            />

    </LinearLayout>

</LinearLayout>